summaryrefslogtreecommitdiffstats
path: root/source/n/pssh
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/pssh')
-rwxr-xr-xsource/n/pssh/pssh.SlackBuild84
-rw-r--r--source/n/pssh/slack-desc19
2 files changed, 103 insertions, 0 deletions
diff --git a/source/n/pssh/pssh.SlackBuild b/source/n/pssh/pssh.SlackBuild
new file mode 100755
index 000000000..8bb3dcbe9
--- /dev/null
+++ b/source/n/pssh/pssh.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# required: package "python" version 2.2 or higher installed
+
+VERSION=1.3.1
+ARCH=${ARCH:-x86_64} # Note that the package will be created as 'noarch' !
+BUILD=1
+
+PREFIX=/usr
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-pssh
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf pssh-$VERSION
+tar xvf $CWD/pssh-$VERSION.tar.gz || exit 1
+cd pssh-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+for binary in bin/* ; do
+ # Fix an error from the author
+ sed -r "s|basedir\)|basedir + \"/lib${LIBDIRSUFFIX}\")|" \
+ < $binary > $binary.tmp
+ cp $binary.tmp $binary
+ rm -f $binary.tmp
+done
+
+mkdir -p $PKG/$PREFIX/bin
+cp -a bin/* $PKG/$PREFIX/bin/.
+
+for library in psshlib/* ; do
+ # This will force removepkg to remove all runtime-compiled *.pyc files
+ touch ${library}c
+done
+
+mkdir -p $PKG/$PREFIX/lib${LIBDIRSUFFIX}
+cp -a psshlib $PKG/$PREFIX/lib${LIBDIRSUFFIX}/.
+
+mkdir -p $PKG/$PREFIX/doc/pssh-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog INSTALL PKG-INFO TODO \
+ doc/pssh*html $PKG/$PREFIX/doc/pssh-$VERSION/.
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/pssh-$VERSION-noarch-$BUILD.txz
+
diff --git a/source/n/pssh/slack-desc b/source/n/pssh/slack-desc
new file mode 100644
index 000000000..42d25006f
--- /dev/null
+++ b/source/n/pssh/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pssh: pssh (tools for collective remote system management)
+pssh:
+pssh: Pssh, a.k.a. "parallel ssh", are Python-written wrapper scripts for
+pssh: OpenSSH and rsync tools. They are useful for simultaneous control
+pssh: of large number of machines, using parallel ssh sessions. Included
+pssh: are parallel versions of ssh, scp, and rsync, as well as a parallel
+pssh: kill command.
+pssh:
+pssh: Pssh has been written by Brent N. Chun, and requires the python
+pssh: package installed.
+pssh: